[prev in list] [next in list] [prev in thread] [next in thread] 

List:       ipcop-svn
Subject:    [Ipcop-svn] SF.net SVN: ipcop:[6807] ipcop/trunk
From:       owes () users ! sourceforge ! net
Date:       2012-10-30 15:45:40
Message-ID: E1TTE0a-0002Se-FV () sfp-svn-1 ! v30 ! ch3 ! sourceforge ! com
[Download RAW message or body]

Revision: 6807
          http://ipcop.svn.sourceforge.net/ipcop/?rev=6807&view=rev
Author:   owes
Date:     2012-10-30 15:45:39 +0000 (Tue, 30 Oct 2012)
Log Message:
-----------
The 2.1.0 update is approx. 30 MiB large, so we split into 2 packages.
Next is to divide the modified files in 2.1.0 and 2.1.1 package. Suggestions welcome.

Modified Paths:
--------------
    ipcop/trunk/make.sh
    ipcop/trunk/updates/2.1.0/information.xml

Added Paths:
-----------
    ipcop/trunk/updates/2.1.1/
    ipcop/trunk/updates/2.1.1/ROOTFILES.alpha-2.1.1
    ipcop/trunk/updates/2.1.1/ROOTFILES.i486-2.1.1
    ipcop/trunk/updates/2.1.1/ROOTFILES.ppc-2.1.1
    ipcop/trunk/updates/2.1.1/ROOTFILES.sparc-2.1.1
    ipcop/trunk/updates/2.1.1/information.xml
    ipcop/trunk/updates/2.1.1/setup

Modified: ipcop/trunk/make.sh
===================================================================
--- ipcop/trunk/make.sh	2012-10-30 15:16:25 UTC (rev 6806)
+++ ipcop/trunk/make.sh	2012-10-30 15:45:39 UTC (rev 6807)
@@ -50,13 +50,13 @@
 SNAME="ipcop"
 
 # This is the IPCop version number for the release.
-VERSION=2.1.0
+VERSION=2.1.1
 
 # VERSIONSTEP is only used when the update is split into 2 versions/packages.
-#VERSIONSTEP=1.9.18
+VERSIONSTEP=2.1.0
 
 # This is the last official IPCop version number. Needed for ./make.sh newupdate.
-PREVIOUSVERSION=2.0.5
+PREVIOUSVERSION=2.0.6
 # This is the SVN revision number for the last IPCop version. Needed for ChangeLog.
 PREVIOUSSVNREV=6343
 

Modified: ipcop/trunk/updates/2.1.0/information.xml
===================================================================
--- ipcop/trunk/updates/2.1.0/information.xml	2012-10-30 15:16:25 UTC (rev 6806)
+++ ipcop/trunk/updates/2.1.0/information.xml	2012-10-30 15:45:39 UTC (rev 6807)
@@ -25,7 +25,7 @@
             <b>Mandatory reboot after upgrade.</b>
         </description>
         <previousversion>2.0.6</previousversion>
+        <nextversion>2.1.1</nextversion>
         <installdate>INSTALLDATE</installdate>
-        <latest />
     </update>
 </ipcop>

Added: ipcop/trunk/updates/2.1.1/ROOTFILES.alpha-2.1.1
===================================================================
--- ipcop/trunk/updates/2.1.1/ROOTFILES.alpha-2.1.1	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/ROOTFILES.alpha-2.1.1	2012-10-30 15:45:39 UTC (rev \
6807) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/2.1.1/ROOTFILES.i486-2.1.1
===================================================================
--- ipcop/trunk/updates/2.1.1/ROOTFILES.i486-2.1.1	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/ROOTFILES.i486-2.1.1	2012-10-30 15:45:39 UTC (rev 6807)
@@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/2.1.1/ROOTFILES.ppc-2.1.1
===================================================================
--- ipcop/trunk/updates/2.1.1/ROOTFILES.ppc-2.1.1	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/ROOTFILES.ppc-2.1.1	2012-10-30 15:45:39 UTC (rev 6807)
@@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/2.1.1/ROOTFILES.sparc-2.1.1
===================================================================
--- ipcop/trunk/updates/2.1.1/ROOTFILES.sparc-2.1.1	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/ROOTFILES.sparc-2.1.1	2012-10-30 15:45:39 UTC (rev \
6807) @@ -0,0 +1 @@
+## please place IPCop files first, then packages sorted by alphabetical order

Added: ipcop/trunk/updates/2.1.1/information.xml
===================================================================
--- ipcop/trunk/updates/2.1.1/information.xml	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/information.xml	2012-10-30 15:45:39 UTC (rev 6807)
@@ -0,0 +1,11 @@
+<ipcop>
+    <update>
+        <version>2.1.1</version>
+        <releasedate>2012-11-dd</releasedate>
+        <size>0</size>
+        <description>Description (needs modification, shortly before release at the \
latest).</description> +        <previousversion>2.1.0</previousversion>
+        <installdate>INSTALLDATE</installdate>
+        <latest />
+    </update>
+</ipcop>

Added: ipcop/trunk/updates/2.1.1/setup
===================================================================
--- ipcop/trunk/updates/2.1.1/setup	                        (rev 0)
+++ ipcop/trunk/updates/2.1.1/setup	2012-10-30 15:45:39 UTC (rev 6807)
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# Upgrade IPCop
+#
+
+UPGRADEVERSION=2.1.1
+PREVIOUSVERSION=2.1.0
+
+
+msg() {
+    /usr/bin/logger -t installpackage "$*"
+    /bin/echo "$*"
+}
+
+
+# Verify architecture
+MACHINE=`/usr/bin/perl -e "require '/usr/lib/ipcop/general-functions.pl';print \
\\$General::machine;"` +if [ "$MACHINE" != `/bin/cat ./ARCH` ]; then
+    msg "Update for wrong architecture: `/bin/cat ./ARCH`! We are: $MACHINE. \
Aborting installation." +    exit 1
+fi
+
+# Verify version, note we also accept replaying an upgrade
+CURRENTVERSION=`/usr/bin/perl -e "require \
'/usr/lib/ipcop/general-functions.pl';print \\$General::version;"` +if [ \
"$CURRENTVERSION" != "$PREVIOUSVERSION" -a "$CURRENTVERSION" != "$UPGRADEVERSION" ]; \
then +    msg "IPCop v$PREVIOUSVERSION or v$UPGRADEVERSION not running. Aborting \
installation." +    exit 1
+fi
+
+#####
+#
+# Add version specific handling *before* unpacking the patch here.
+# For example stopping dnsmasq(required before update), squid, etc...
+#
+#####
+
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+FAILURE=0
+/bin/tar -zxpf patch.tar.gz -C /
+FAILURE=$?
+if [ $FAILURE -ne 0 ]; then
+    msg "Error extracting patch.tar.gz $1, need more free space on disk. Aborting."
+    exit 4 # ERRORTAR
+fi
+
+# Modify or remove line below, depending on update
+# Update bootloader config
+# /usr/local/sbin/updatekernel.pl --add 2.6.32-2 --keep 2.6.32-1 --remove 2.6.32-0
+
+# Modify or remove line below, depending on update
+# Create the new initramfs
+# /sbin/mkinitramfs --with-kernel=2.6.32-2 --with-firmware --many-modules \
--with-list=/etc/modules.initramfs +
+# Adjust the changed config files
+# /usr/local/bin/upgrade.sh
+
+# Remove old libraries (version specific)
+# /bin/rm -f .....
+
+# For new shared libs. May not always be required, but makes sure we do not forget
+/sbin/ldconfig
+
+#####
+#
+# Add version specific handling *after* unpacking the patch here.
+# For example restarting apache, squid, etc...
+#
+#####
+
+
+
+#####
+#
+# End of version specific handling. Continue with universal stuff.
+#
+#####
+
+# Patch general-functions.pl
+/bin/sed -i -e "s+^\(\$General::version\s*=\s*\).*+\1'$UPGRADEVERSION';+" \
/usr/lib/ipcop/general-functions.pl +# Patch /etc/issue
+/bin/sed -i -e "s+$PREVIOUSVERSION+$UPGRADEVERSION+" /etc/issue
+
+# Update menu
+/usr/local/bin/updatemenu.pl
+
+msg "$UPGRADEVERSION update installed."

This was sent by the SourceForge.net collaborative development platform, the world's \
largest Open Source development site.


------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_sfd2d_oct
_______________________________________________
Ipcop-svn mailing list
Ipcop-svn@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ipcop-svn


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic